#ifndef PATHFIND
#define PATHFIND

#include "prologin.hh"
#include "datatypes.h"
#include <vector>
#include <cstdlib>
#include <iostream>


class Pathfinding
{
    public:
        Pathfinding(position icurrpos, int iintensite);
        std::vector<position> optimalgen();
    private:
        bool owned(unite_energie powunit);
        bool isMyLight(int x, int y);

        position currpos;
        int intensite;
        std::vector<unite_energie> powerunits;
};

#endif

