#include <iostream>
#include <vector>
#include <string>
#include "zonedef.h"

using namespace std;

void genmatrix(vector<vector<short> >& matrix)
{
    vector<string> tiroir; //hum, jeux de mots douteux.
    tiroir.push_back("0000000000000");
    tiroir.push_back("0110101111110");
    tiroir.push_back("0110101100000");
    tiroir.push_back("0110101101110");
    tiroir.push_back("0111101100000");
    tiroir.push_back("0110101111110");
    tiroir.push_back("0110100000010");
    tiroir.push_back("0110001111110");
    tiroir.push_back("0111011111110");
    tiroir.push_back("0111111111110");
    tiroir.push_back("0000000000000");
    
    for(int i=0;i<tiroir.size();i++)
    {
        vector<short> tmpm;
        for(int j=0;j<tiroir[i].size();j++)
        {
            tmpm.push_back((tiroir[i][j] == '0') ? 0 : -1);
        }
        matrix.push_back(tmpm);
    }
    
}

int main(void)
{
    vector<vector<short> > matrix(0,vector<short>(0,0));

    genmatrix(matrix);

    Zonedef zd(matrix);
    zd.exec();

    for(unsigned i=0;i<matrix.size();i++)
    {
        for(unsigned j=0;j<matrix[i].size();j++)
        {
            if(matrix[i][j] == 0)
                cout << "▉▉";
            else
                cout << matrix[i][j] << matrix[i][j];
        }
        cout << endl;
    }

    return 0;
}


