#include "zonedef.h"

using namespace std;

Zonedef::Zonedef(ArrayMatrix &imatrix) :
    matrix(imatrix)
{
    // opération très complexe : ici, on ne fout RIEN.
}

void Zonedef::exec()
{
    int areaid=1;
    while(1)
    {
        bool foundOne=false;
        for(unsigned i=0;i<matrix.size();i++)
        {
            for(unsigned j=0;j<matrix[i].size();j++)
            {
                if(matrix[i][j] == -1)
                {
                    recursFloodFill(j,i,areaid);
                    foundOne=true;
                    break; // on reprend le while du début
                }
            }
            if(foundOne)
                break; // on reprend le while du début
        }
        if(!foundOne)
            break;
        areaid++;
    }
}

void Zonedef::recursFloodFill(int x, int y, int idarea)
{
    if(matrix[y][x]!=-1)
        return;
    matrix[y][x]=idarea;

    // recurs
    callrecurs(x-1,y,idarea);
    callrecurs(x+1,y,idarea);
    callrecurs(x,y-1,idarea);
    callrecurs(x,y+1,idarea);
}

void Zonedef::callrecurs(int x, int y, int idarea)
{
    if(x>=0 && x < matrix[0].size() && y >= 0 && y < matrix.size())
    {
        recursFloodFill(x,y,idarea);
    }
}

