#ifndef DEF_TYPES
#define DEF_TYPES

#include "prologin.hh"

#define UNREACHABLE -83 // fully random, en espérant pas avoir d'autre code d'erreur pourvant s'en rapprocher
#define UNREACHABLE_NOPATH -84 // aucun chemin
#define UNREACHABLE_NOPATHMATCH -85 // le chemin ne va pas à l'arrivée


struct Case {
    int x;
    int y;
    Case* parent;
    bool walkable;
    int poids;
};

typedef std::vector<std::vector<Case*> > Grid;

typedef std::vector<std::vector<short> > ArrayMatrix;

enum Dir{
    OTH,H,V
};

enum TypeAct {
    DEPLACER // TODO complete
};

struct Action {
    TypeAct typeact;
    position begin;
    position end;
    Dir direction;
};

struct powerunitsupp : unite_energie {
    int paCost;
    std::vector<Action> optimalPath; // keep for retro
    std::vector<position> optpath;
};

enum MyError {
    ZONES_DIFFERENTES
};


#endif
