#ifndef DEF_PATHFINDING
#define DEF_PATHFINDING

#include "datatypes.h"
#include "astar.h"
#include <vector>
#include <iostream>
#include <cstdlib>

class Pathfinding {
    public:
        Pathfinding(position currpos, int intensite_dispo);
        ~Pathfinding();
//        std::vector<Action> optimalgen(); // returns the nearest generator
        std::vector<position> optimalgen(); // returns the nearest generator

    protected: // meth
        powerunitsupp powerunitToSupp(unite_energie);
        int definePaCost(powerunitsupp &powunit);
        Dir direction(std::vector<position> path, unsigned int id1=0, int *dirconst=NULL);
        int directline(std::vector<position> path, int id1=0); // retourne l'ID du prochain virage de path
        void sortVector(std::vector<powerunitsupp>& toSort);
        int generatorValue(powerunitsupp gen);
        Grid genereGrid();
        void emptyGrid();
        bool owned(powerunitsupp powunit);
        bool isMyLight(int x, int y);

    protected: // attr
        position currpos;
        int intensite_dispo;
        Grid grid;
};

#endif

