#ifndef DEF_ZONE
#define DEF_ZONE

#include "datatypes.h"
#include "prologin.hh"
#include <vector>

class Zonedef
{
    public:
        Zonedef(ArrayMatrix &imatrix);
        void exec();

        static ArrayMatrix run(Grid grid);

    private: // meth
        void recursFloodFill(int x, int y, int idarea);
        void callrecurs(int x, int y, int idarea);

    private:
        ArrayMatrix &matrix; // matrix, once, est un ensemble de points 0, unwalkable, et -1, walkable et à définir.

};

#endif
